This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 712284 - Review Request: ghc-hint - Library that provides interpreter monad
Review Request: ghc-hint - Library that provides interpreter monad
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: ghc-ghc-mtl
Blocks: yi
  Show dependency treegraph
 
Reported: 2011-06-10 02:12 EDT by Narasimhan
Modified: 2014-04-25 05:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:31:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2011-06-10 02:12:33 EDT
Spec file : http://narasim.fedorapeople.org/package_reviews/ghc-hint.spec

SRPM file : http://narasim.fedorapeople.org/package_reviews/ghc-hint-0.3.3.2-1.fc14.src.rpm

rpmlint output:
ghc-hint-prof.i686: E: devel-dependency ghc-hint-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-hint-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-hint-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/hint-0.3.3.2/libHShint-0.3.3.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.

Required for yi.
Comment 1 Narasimhan 2011-06-12 05:09:23 EDT
Spec file : http://narasim.fedorapeople.org/package_reviews/yi.spec

SRPM file : http://narasim.fedorapeople.org/package_reviews/yi-0.6.3.0-2.fc14.src.rpm

rpmlint output:
yi.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

yi.src: W: name-repeated-in-summary C yi
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

yi.src: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
The value of this tag appears to be misspelled. Please double-check.

yi.i686: E: devel-dependency ghc-yi-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

yi.i686: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

yi.i686: W: name-repeated-in-summary C yi
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

yi.i686: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
The value of this tag appears to be misspelled. Please double-check.

yi.i686: E: incorrect-fsf-address /usr/share/doc/yi-0.6.3.0/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

yi.i686: W: no-manual-page-for-binary yi
Each executable in standard binary directories should have a man page.

ghc-yi.i686: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
The value of this tag appears to be misspelled. Please double-check.

vi yghc-yi.i686: E: incorrect-fsf-address /usr/share/doc/yi-0.6.3.0/LICENSE
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

ighc-yi-devel.i686: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
The value of this tag appears to be misspelled. Please double-check.

.spec
ghc-yi-prof.i686: E: devel-dependency ghc-yi-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-yi-prof.i686: W: spelling-error %description -l en_US haskell -> Gaskell, Gaitskell, skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-yi-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

5 packages and 1 specfiles checked; 4 errors, 11 warnings.
Comment 2 Narasimhan 2011-06-12 05:13:12 EDT
Incorrect update. Ignore Comment 1.
Comment 3 Narasimhan 2012-12-02 07:27:14 EST
Spec file and srpm:
http://narasim.fedorapeople.org/package_reviews/ghc-hint.spec
http://narasim.fedorapeople.org/package_reviews/ghc-hint-0.3.3.2-2.fc17.src.rpm

rpmlint output:
rpmlint  -i ghc-hint-0.3.3.2-2.fc17.x86_64.rpm ghc-hint-devel-0.3.3.2-2.fc17.x86_64.rpm ghc-hint-0.3.3.2-2.fc17.src.rpm  ../ghc-hint.spec  
ghc-hint.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-hint.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-hint-devel.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-hint-devel.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-hint.src: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-hint.src: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 6 warnings.
Comment 5 Narasimhan 2012-12-02 23:06:44 EST
Package updated to 0.3.3.5. This builds with f18 and greater. For f17, we have to use 0.3.3.2

http://narasim.fedorapeople.org/package_reviews/ghc-hint.spec
http://narasim.fedorapeople.org/package_reviews/ghc-hint-0.3.3.5-1.fc18.src.rpm
Comment 6 Jens Petersen 2012-12-03 00:49:35 EST
I can take this.
Comment 7 Micah Roth 2013-04-19 12:12:08 EDT
Dear Narasimhan, 

I am getting a 403 error when trying to access your most recent spec and rpm files. Just FYI.
Comment 8 Jens Petersen 2013-06-24 06:31:25 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.